Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`ftp`.`IWriteFile``

interface documentation

`class IWriteFile(Interface): (source)`

Known implementations: `twisted.protocols.ftp._FileWriter`

View In Hierarchy

A file into which bytes may be written.

Method | `close` | Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().
Method | `receive` | Create a consumer which will write to this file. This method may only be invoked once on each provider.

def close(): (source)

Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().

Returns
`Deferred` of anything: the value is ignored. The FTP client will not see their upload request complete until this Deferred has been fired. | Undocumented

def receive(): (source)

Create a consumer which will write to this file. This method may only be invoked once on each provider.

Returns
`Deferred` of `IConsumer` | Undocumented